package com.tmerclub.cloud.order.bo.mongo;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author gaozijie
 * @since 2023-11-24
 */
public class MongoAllotOrderItemBO implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 调拨订单商品id
     */
    private Long allotOrderItemId;

    /**
     * 调拨订单id
     */
    private Long allotOrderId;

    /**
     * 商品spuId
     */
    private Long spuId;

    /**
     * 商品skuId
     */
    private Long skuId;

    /**
     * 调拨数量
     */
    private Integer allotCount;

    /**
     * 调拨入库数量
     */
    private Integer allotInCount;

    public MongoAllotOrderItemBO() {
    }

    public Long getAllotOrderItemId() {
        return allotOrderItemId;
    }

    public void setAllotOrderItemId(Long allotOrderItemId) {
        this.allotOrderItemId = allotOrderItemId;
    }

    public Long getAllotOrderId() {
        return allotOrderId;
    }

    public void setAllotOrderId(Long allotOrderId) {
        this.allotOrderId = allotOrderId;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public Integer getAllotCount() {
        return allotCount;
    }

    public void setAllotCount(Integer allotCount) {
        this.allotCount = allotCount;
    }

    public Integer getAllotInCount() {
        return allotInCount;
    }

    public void setAllotInCount(Integer allotInCount) {
        this.allotInCount = allotInCount;
    }


    @Override
    public String toString() {
        return "MongoAllotOrderItemBO{" +
                "allotOrderItemId=" + allotOrderItemId +
                ", allotOrderId=" + allotOrderId +
                ", spuId=" + spuId +
                ", skuId=" + skuId +
                ", allotCount=" + allotCount +
                ", allotInCount=" + allotInCount +
                '}';
    }
}
